/*
Custom Css
*/

.notification {
  position: fixed;
  top: 135px;
  right: 10px;
  background-color: #4caf50;
  color: white;
  padding: 2px;
  border-radius: 5px;
  transition: opacity 0.5s ease;
}

.table {
  width: 100%;
  border-collapse: collapse;
  margin-bottom: 20px;
}

.table th,
.table td {
  padding: 10px;
  text-align: left;
  border-bottom: 1px solid #ddd;
}

/* .notification {
  position: fixed;
  top: 20px;
  right: 20px;
  background-color: #28a745;
  color: white;
  padding: 10px;
  border-radius: 5px;
  z-index: 1000;
  transition: opacity 0.5s;
} */

.notification.fade-out {
  opacity: 0;
}

.removeCartBtn {
  color: red;
}

/* .inputRow {
  width: 50px;
} */
.quantityInput {
  width: 100px;
  text-align: center;
}
/* --------------------------------------------- */

/* Login.php styles */

.loginContainer {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 55vh;
  /* Fondo de imagen, si lo necesitas */
  /* background-image: url(img/Blog_IMG-1170x628-3_Construccion-Inbound-770x413.jpg);
  background-size: cover; */
}

.container-form {
  display: flex;
  box-shadow: 0 5px 7px rgba(0, 0, 0, 0.1);
  min-height: 350px;
  max-width: 800px;
  transition: all 1s ease;
  margin: 10px;

  /* Sombra */
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  border-radius: 20px;
  background-color: #fff; /* Asegura que haya un fondo para la sombra */
}

.information {
  width: 40%;
  display: flex;
  align-items: center;
  text-align: center;
  background: linear-gradient(#6ad888, #09db41);
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
}

/* Estilos para el input de tipo button en .info-childs */
.info-childs input[type="button"] {
  background-color: #00a02b;
  outline: none;
  border: solid #00a02b;
  border-radius: 10px;
  padding: 10px 20px;
  color: #ededf5;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.info-childs input[type="button"]:hover {
  background-color: #00a02b;
  border: none;
  color: azure;
  box-shadow: 0 5px 5px rgba(0, 0, 0, 0.1);
}

/* Estilos para los inputs de texto en los formularios */
.container-form .form-group input[type="email"],
.container-form .form-group input[type="password"],
.container-form .form-group input[type="text"] {
  background-color: #f0f0f5;
  outline: none;
  border: 1px solid #aaa;
  border-radius: 10px;
  padding: 10px 15px;
  color: #333;
  width: 100%;
  transition: border-color 0.3s ease;
  margin: 5px;
}

/* Efecto hover y focus para los inputs */
.container-form .form-group input[type="email"]:hover,
.container-form .form-group input[type="password"]:hover,
.container-form .form-group input[type="text"]:hover,
.container-form .form-group input[type="email"]:focus,
.container-form .form-group input[type="password"]:focus,
.container-form .form-group input[type="text"]:focus {
  border-color: #09db41;
  box-shadow: 0 5px 5px rgba(0, 0, 0, 0.1);
}

input[type="submit"] {
  background-color: #00a02b;
  outline: none;
  border: 2px solid transparent; /* Borde transparente para mantener el tamaño */
  border-radius: 10px;
  padding: 10px 15px;
  color: #ffffff;
  cursor: pointer;
  font-weight: bold;
  width: 100%;
  margin: 5px;
  transition: background-color 0.3s ease, box-shadow 0.3s ease,
    border-color 0.3s ease;
}

input[type="submit"]:hover {
  background-color: #4c9e6e;
  border-color: #4c9e6e; /* Cambia el color del borde al hacer hover */
  color: #ffffff;
  font-weight: bold;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2); /* Sombra más intensa */
}

.info-childs {
  width: 100%;
  padding: 0 30px;
  color: #333;
}

.info-childs h2 {
  font-size: 2.5rem;
  color: #eceaea;
  color: #333;
}

.info-childs p {
  margin: 15px 0;
  color: #f0eeee;
  color: #333;
}

.form-information {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 60%;
  text-align: center;
  background-color: #f8f8f8;
  border-top-right-radius: 20px;
  border-bottom-right-radius: 20px;
}

.form-information-childs {
  padding: 0 30px;
}

.form-information-childs h2 {
  color: #333;
  font-size: 2rem;
}

.form-information-childs p {
  color: #555;
}

.icons {
  margin: 15px 0;
}

.icons i {
  border-radius: 50%;
  padding: 15px;
  cursor: pointer;
  margin: 0 10px;
  color: #9191bd;
  border: solid thin #9191bd;
  transition: background-color 0.3s ease;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.icons i:hover {
  background-color: #c7c7f3;
  color: #fff;
}

.formLogin {
  margin: 30px 0 0 0;
}

.formLogin label {
  display: flex;
  align-items: center;
  margin-bottom: 15px;
  border-radius: 20px;
  padding: 0 18px;
  background-color: #fff;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.formLogin label input {
  width: 100%;
  padding: 10px;
  background-color: #fff;
  border: none;
  outline: none;
  border-radius: 20px;
  color: #333;
}

.formLogin label i {
  color: #a7a7a7;
}

.formLogin input[type="submit"] {
  background-color: #9191bd;
  color: #fff;
  border-radius: 20px;
  border: none;
  padding: 10px 15px;
  cursor: pointer;
  margin-top: 10px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.formLogin input[type="submit"]:hover {
  background-color: #7a7a9a;
}

.hide {
  position: absolute;
  transform: translate(-300%);
}

/*REESPONSIVE FORM*/
@media screen and (max-width: 500px) {
  html {
    font-size: 10px;
  }

  .container-form {
    height: auto;
    flex-direction: column;
  }

  .information {
    width: 100%;
    padding: 20px;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    border-bottom-left-radius: 0px;
    border-top-right-radius: 0;
  }

  .form-information {
    width: 100%;
    padding: 25px;
    border-bottom-left-radius: 20px;
    border-top-right-radius: 0;
  }
}
